Compatibility Rated 3 out of 5 stars

Are you sure this add-on was compatible with Firefox 3.6?
I have problem on 3.6

This review is for a previous version of the add-on (3.1.09060400).